Subject: bug#34080: closed (Re: bug#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Jul 2025 10:20:02 +0000

Your bug report

#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34080: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34080
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*
From: Sean Whitton <[email-masked]>
To: Stefan Monnier <[email-masked]>, [email-masked]
Date: Sat, 19 Jul 2025 11:18:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Sat 19 Jul 2025 at 09:57am +01, Sean Whitton wrote:

> Hello,
>
> On Fri 18 Jul 2025 at 09:24am -04, Stefan Monnier wrote:
>
>>> I spent some time seeing how this change would be implemented and I now
>>> think that, instead, diff-minor-mode should be renamed
>>> diff-read-only-mode.  Am I right that diff-minor-mode is only intended
>>> as a way to add bindings when diff-mode buffers are read-only?
>>
>> No, `diff-minor-mode` is intended for use in buffers that need to use
>> another major mode than `diff-mode`.
>> [ Like the difference between `outline-mode` and `outline-minor-mode`.  ]
>>
>> Not sure how important it is in practice: IIRC, I implemented this
>> because it existed in other people's "diff modes" (when I started
>> diff-mode I tried to make it a superset of all the diff/patch modes
>> I could find), rather than because I saw a need for it.
>
> Okay, thanks.
>
> Renaming it wouldn't prevent it being used in this way and would improve
> comprehensibility for 90% of users, so I'll go ahead with that.
>
> I'll also experimentally mark diff-minor-mode-prefix as obsolete.

No, that's not right, diff-minor-mode isn't used at all in read-only
diff-mode buffers.  The short bindings are activated in those in another
way.

As can be seen by my messages to this bug, all this has really confused
me, and I think it would confuse the next person, too.  I've tried to
add a clarificatory comment.  Also, I've fixed the original reported
issue, so I'm closing the bug with this message.

If the bug I thought I'd found in where-is-internal is real, it'll come
up again in a context where fixing it is more important.

-- 
Sean Whitton

Subject: 27.0.50, 26.1; undocumented key bindings for *vc-diff*
From: Van L <[email-masked]>
To: [email-masked]
Date: Tue, 15 Jan 2019 16:29:56 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The *Help* buffer for diff-mode.el is better 
if the following key bindings are documented 

#+NAME: undocumented-key-bindings
| key   | binding        |
|-------+----------------|
| TAB   | diff-hunk-next |
| S-TAB | diff-hunk-prev |

the above make more sense than the following

#+NAME: existing-key-bindings-documented
| key   | binding        |
|-------+----------------|
| C-M-i | diff-hunk-next |
| M-n   |                |
|-------+----------------|
| M-p   | diff-hunk-prev |

And, for the word "hunk" to link to a Glossary's 
entry like for example

http://www-history.mcs.st-and.ac.uk/Glossary/oblong_number.html

is a feature to have unless it is already therein.